import { Lazy } from "lazy-val";
import { NodeModulesCollector } from "./nodeModulesCollector";
import { NpmDependency } from "./types";
export declare class NpmNodeModulesCollector extends NodeModulesCollector<NpmDependency, string> {
    constructor(rootDir: string);
    readonly pmCommand: Lazy<string>;
    readonly installOptions: Promise<{
        cmd: string;
        args: string[];
        lockfile: string;
    }>;
    protected getArgs(): string[];
    protected collectAllDependencies(tree: NpmDependency): void;
    protected extractProductionDependencyGraph(tree: NpmDependency, dependencyId: string): void;
    protected parseDependenciesTree(jsonBlob: string): NpmDependency;
}
