import { Lazy } from "lazy-val";
import { NodeModulesCollector } from "./nodeModulesCollector";
import { PnpmDependency } from "./types";
export declare class PnpmNodeModulesCollector extends NodeModulesCollector<PnpmDependency, PnpmDependency> {
    constructor(rootDir: string);
    static readonly pmCommand: Lazy<string>;
    protected readonly pmCommand: Lazy<string>;
    readonly installOptions: Promise<{
        cmd: string;
        args: string[];
        lockfile: string;
    }>;
    protected getArgs(): string[];
    extractProductionDependencyGraph(tree: PnpmDependency, dependencyId: string): void;
    protected collectAllDependencies(tree: PnpmDependency): void;
    protected parseDependenciesTree(jsonBlob: string): PnpmDependency;
}
